Summary:       The GNU Portable Shell Tool
Name:          shtool
Version:       2.0.8
Release:       1%{?dist}%{?pext}
License:       GPL
Group:         Development/Tools
Source0:       ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz
URL:           http://www.gnu.org/software/%{name}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Ralf S. Engelschall <rse@gnu.org>
BuildArch:     noarch


%description
GNU shtool is a compilation of small but very stable and portable shell
scripts into a single shell tool. All ingredients were in successful use
over many years in various free software projects. The compiled shtool
program is intended to be used inside the source tree of other free soft-
ware packages. There it can overtake various (usually non-portable) tasks
related to the building and installation of such a package. It especially
can replace the old mkdir.sh, install.sh and related scripts.


%prep
%setup -q


%build
%configure
%{__make} %{?_smp_mflags}


%check
%{__make} test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	install


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS RATIONAL
%doc README THANKS VERSION
%{_bindir}/%{name}
%{_bindir}/shtoolize
%{_datadir}/aclocal/%{name}.m4
%{_datadir}/%{name}
%{_mandir}/man1/%{name}-*.1*
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/shtoolize.1*


%changelog
* Wed Aug 06 2008 Peter Pramberger <peterpramb@member.fsf.org> - 2.0.8-1
- New version (2.0.8)

* Sat Mar 22 2008 Peter Pramberger <peterpramb@member.fsf.org> - 2.0.7-5
- Rewritten for buildsystem

* Thu Oct 11 2007 peter.pramberger@member.fsf.org 2.0.7-4
- new version (2.0.7)

* Thu Feb 08 2007 peter.pramberger@member.fsf.org 2.0.6-3
- some spec file cleanups

* Thu Sep 07 2006 peter.pramberger@member.fsf.org
- new version (2.0.6)

* Wed Mar 01 2006 peter.pramberger@member.fsf.org
- created
